package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvTask;
import com.hungraim.ltc.pojo.vo.governance.SrvTaskInfoVO;
import com.hungraim.ltc.pojo.vo.governance.SrvTaskVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SrvTaskMapper extends BaseMapper<ChSrvTask> {

    List<SrvTaskVO> getSrvTaskList(Integer organId, String disableName, String disableTel,
                                   String empName, String certifNum, String startTime, String endTime,
                                   String status, String modeId);

    SrvTaskInfoVO getSrvTaskInfo(String taskId);
}
