package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务计划详情VO
 */
@Data
public class SrvTaskInfoVO extends PageInfo implements Serializable {
    /**
     * 服务计划id
     */
    private String srvTaskId;
    /**
     * 服务计划明细id
     */
    private String taskDetailId;
    /**
     * 服务人员姓名
     */
    private String empName;
    /**
     * 服务方案起始日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date srvStartTime;
    /**
     * 服务方案终止日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date srvEndTime;
}
