package com.hungraim.ltc.governance.service;

import com.hungraim.ltc.pojo.vo.governance.SrvTaskInfoVO;
import com.hungraim.ltc.pojo.vo.governance.SrvTaskVO;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 服务计划Service
 *
 * @author czz
 */
@Service
public interface SrvTaskService {
    List<SrvTaskVO> getSrvTaskList(Integer organId, String disableName, String disableTel,
                                   String empName, String certifNum, String startTime, String endTime,
                                   String status, String modeId);

    SrvTaskInfoVO getSrvTaskInfo(String taskId);

    void addSrvTask(Long programId, Long srvEmpId, Date startTime, Date endTime);

    void updateSrvTask(String taskId, Long srvEmpId, Date startTime, Date endTime);
}
